<button (click)="openDialogCustom()">Open dialog custom </button>
<button (click)="openDialogWithTemplate(template)">Open dialog with template </button>


<ng-template #template>
  <h1 mat-dialog-title>Editar Usuarios</h1>
  <div mat-dialog-content>
    formulario...
  </div>
  <div mat-dialog-actions>
      <button mat-button mat-dialog-close>Cancelar</button>
  </div>
</ng-template>
